Subject: Re: Should "N/A" dust bunnies be swept from fw_version?

From: Rick Jones <[email-masked]>
Date: Fri, 18 Nov 2011 11:23:46 -0800

On 11/18/2011 11:10 AM, David Miller wrote:
> From: Rick Jones<[email-masked]>
> Date: Fri, 18 Nov 2011 11:09:48 -0800
>
>> On 11/17/2011 04:19 PM, Ben Hutchings wrote:
>>> On Thu, 2011-11-17 at 15:27 -0800, Rick Jones wrote:
>>>> In the discussion on "enable virtio_net to return bus_info in ethtool
>>>> -i
>>>> consistent with emulated NICs" Ben Hutchings had the following
>>>> feedback
>>>> on what might go into bus_info:
>>>>
>>>>> Please use the existing 'not implemented' value, which is the empty
>>>>> string.  If you think ethtool should print some helpful message
>>>>> instead
>>>>> of an empty string, please submit a patch for ethtool.
>>>>
>>>> When I was sweeping in the .get_drvinfo routines, I noticed many
>>>> drivers
>>>> would return "N/A" for fw_version - presumably they were drivers for
>>>> cards without firmware.  Should those be removed to have the
>>>> fw_version
>>>> be the empty string, or should those sleeping dust bunnies be allowed
>>>> to
>>>> lie?
>>>
>>> I much prefer the empty string; the ethtool utility can turn that into
>>> a
>>> user-friendly placeholder if it's considered confusing.
>>
>> Any other opinions out there?  Anyone? Anyone?-)
>
> I agree with Ben, just provide the empty string.

OK, when I have time to pick-up my broom, I'll do some additional sweeping.

rick